
TYPO3.Flow - Feature # 45167

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: Validation
Created: 2013-02-05 Assigned To: Karsten Dambekalns
Updated: 2013-08-02 Due date:
PHP Version:
Has patch: No
Complexity:
Subject: Allow "custom generic" object validators
Description

Right now a GenericObjectValidator will be built for objects and then a custom validator will be used. But that custom validator is
looked up following a strict rule, so a "custom generic" validator is not possible currently.

Associated revisions
Revision 7f51878c - 2013-03-21 14:07 - Karsten Dambekalns

[FEATURE] Allow PolyType custom validators to be used

This introduces a new PolyTypeObjactValidatorInterface. When building
base validator conjunctions for a type, all implementations of that
interface will be asked if they canValidate() the type.

This enables the writing of custom validators that act on multiple
types.

Change-Id: Iab15f89610556a50531eee5be0fb7946dd95e958
Resolves: #45167
Releases: master

Revision 3761b8f9 - 2013-05-15 23:40 - Karsten Dambekalns

[BUGFIX] Fix failing ValidatorResolverTest

The PolyTypeObjectValidator change broke a number of changes, because
it was not adjusted to the static method result compilation changes
merged since it was created.

Change-Id: I05625b68f6cb87266f141694914aa87c5805c649
Related: #45167
Releases: master

History
#1 - 2013-02-05 11:56 - Karsten Dambekalns
- Project changed from TYPO3 Flow Base Distribution to TYPO3.Flow

#2 - 2013-02-05 11:57 - Karsten Dambekalns
- Category set to Validation
- Has patch set to No

#3 - 2013-02-06 13:23 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18053

#4 - 2013-03-21 14:07 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18053

#5 - 2013-08-02 11:19 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
